## libvpx 0.9.0-2maemo1

=== build/make/Makefile ===
##
##  Copyright (c) 2010 The VP8 project authors. All Rights Reserved.
##
##  Use of this source code is governed by a BSD-style license and patent
##  grant that can be found in the LICENSE file in the root of the source
##  tree. All contributing project authors may be found in the AUTHORS
##  file in the root of the source tree.
##


include config.mk
quiet?=true
ifeq ($(target),)
# If a target wasn't specified, invoke for all enabled targets.
.DEFAULT:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
all: .DEFAULT
clean:: .DEFAULT


# Note: md5sum is not installed on OS X, but openssl is. Openssl may not be
# installed on cygwin, so we need to autodetect here.
md5sum := $(firstword $(wildcard \
          $(foreach e,md5sum openssl,\
          $(foreach p,$(subst :, ,$(PATH)),$(p)/$(e)*))\
          ))
md5sum := $(if $(filter %openssl,$(md5sum)),$(md5sum) dgst -md5,$(md5sum))

TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
install:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
        # Run configure for the user with the current toolchain.
	@if [ -d "$(DIST_DIR)/src" ]; then \
            mkdir -p "$(DIST_DIR)/build"; \
            cd "$(DIST_DIR)/build"; \
            if [ $(TGT_CC) = "rvct" ] ; then \
				echo "../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC)"; \
				../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC); \
			else \
				echo "../src/configure --target=$(TOOLCHAIN)"; \
				../src/configure --target=$(TOOLCHAIN); \
			fi; \
            $(if $(filter vs%,$(TGT_CC)),make NO_LAUNCH_DEVENV=1;) \
        fi
	@if [ -d "$(DIST_DIR)" ]; then \
            echo "    [MD5SUM] $(DIST_DIR)"; \
	    cd $(DIST_DIR) && \
	    $(md5sum) `find . -name md5sums.txt -prune -o -type f -print` \
                | sed -e 's/MD5(\(.*\))= \([0-9a-f]\{32\}\)/\2  \1/' \
                > md5sums.txt;\
        fi


svnstat: ALL_TARGETS:=$(firstword $(ALL_TARGETS))
endif

ifneq ($(target),)
# Normally, we want to build the filename from the target and the toolchain.
# This disambiguates from the $(target).mk file that exists in the source tree.
# However, the toolchain is part of the target in universal builds, so we
# don't want to include TOOLCHAIN in that case. FAT_ARCHS is used to test
# if we're in the universal case.
include $(target)$(if $(FAT_ARCHS),,-$(TOOLCHAIN)).mk
endif
BUILD_ROOT?=.
VPATH=$(SRC_PATH_BARE)
CFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
ASFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
DIST_DIR?=dist
HOSTCC?=gcc
TGT_ISA:=$(word 1, $(subst -, ,$(TOOLCHAIN)))
TGT_OS:=$(word 2, $(subst -, ,$(TOOLCHAIN)))
TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
quiet:=$(if $(verbose),,yes)
qexec=$(if $(quiet),@)

# Cancel built-in implicit rules
%: %.o
%.asm:
%.a:

#
# Common rules"
#
.PHONY: all-$(target)
all-$(target):

.PHONY: clean
clean::
	rm -f $(OBJS-yes) $(OBJS-yes:.o=.d) $(OBJS-yes:.asm.s.o=.asm.s)
	rm -f $(CLEAN-OBJS)

.PHONY: install
install:
.PHONY: install-helper
install-helper:

$(BUILD_PFX)%.c.d: %.c
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CC) $(CFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.c.o: %.c
	$(if $(quiet),@echo "    [CC] $@")
	$(qexec)$(CC) $(CFLAGS) -c -o $@ $<

$(BUILD_PFX)%.asm.d: %.asm
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.asm.o: %.asm
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

$(BUILD_PFX)%.s.d: %.s
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.s.o: %.s
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

.PRECIOUS: %.asm.s
$(BUILD_PFX)%.asm.s: %.asm
	$(if $(quiet),@echo "    [ASM CONVERSION] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(ASM_CONVERSION) <$< >$@

# If we're in debug mode, pretend we don't have GNU strip, to fall back to
# the copy implementation
HAVE_GNU_STRIP := $(if $(CONFIG_DEBUG),,$(HAVE_GNU_STRIP))
ifeq ($(HAVE_GNU_STRIP),yes)
# Older binutils strip global sybols not needed for relocation processing
# when given --strip-unneeded. Use nm and awk to identify globals and
# keep them.
%.a: %_g.a
	$(if $(quiet),@echo "    [STRIP] $@ < $<")
	$(qexec)$(STRIP) --strip-unneeded \
         `$(NM) $< | grep ' [A-TV-Z] ' | awk '{print "-K"$$3'}`\
          -o $@ $<
else
%.a: %_g.a
	$(if $(quiet),@echo "    [CP] $@ < $<")
	$(qexec)cp $< $@
endif

#
# Rule to extract assembly constants from C sources
#
obj_int_extract: build/make/obj_int_extract.c
	$(if $(quiet),echo "    [HOSTCC] $@")
	$(qexec)$(HOSTCC) -I. -o $@ $<
CLEAN-OBJS += obj_int_extract

#
# Utility functions
#
pairmap=$(if $(strip $(2)),\
    $(call $(1),$(word 1,$(2)),$(word 2,$(2)))\
    $(call pairmap,$(1),$(wordlist 3,$(words $(2)),$(2)))\
)

enabled=$(filter-out $($(1)-no),$($(1)-yes))
cond_enabled=$(if $(filter yes,$($(1))), $(call enabled,$(2)))

find_file1=$(word 1,$(wildcard $(subst //,/,$(addsuffix /$(1),$(2)))))
find_file=$(foreach f,$(1),$(call find_file1,$(strip $(f)),$(strip $(2))) )
obj_pats=.c=.c.o $(AS_SFX)=$(AS_SFX).o
objs=$(addprefix $(BUILD_PFX),$(foreach p,$(obj_pats),$(filter %.o,$(1:$(p))) ))

install_map_templates=$(eval $(call install_map_template,$(1),$(2)))

not=$(subst yes,no,$(1))

ifeq ($(CONFIG_MSVS),yes)
lib_file_name=$(1).lib
else
lib_file_name=lib$(1).a
endif
#
# Rule Templates
#
define linker_template
$(1): $(filter-out -%,$(2))
$(1):
	$(if $(quiet),@echo    "    [LD] $$@")
	$(qexec)$$(LD) $$(strip $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
endef
# make-3.80 has a bug with expanding large input strings to the eval function,
# which was triggered in some cases by the following component of
# linker_template:
#   $(1): $$(call find_file, $(patsubst -l%,lib%.a,$(filter -l%,$(2))),\
#                           $$(patsubst -L%,%,$$(filter -L%,$$(LDFLAGS) $(2))))
# This may be useful to revisit in the future (it tries to locate libraries
# in a search path and add them as prerequisites

define install_map_template
$(DIST_DIR)/$(1): $(2)
	$(if $(quiet),@echo "    [INSTALL] $$@")
	$(qexec)mkdir -p $$(dir $$@)
	$(qexec)cp -p $$< $$@
endef

define archive_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [AR] $$@")
	$(qexec)$$(AR) $$(ARFLAGS) $$@ $$?
endef

define lipo_lib_template
$(1): $(addsuffix /$(1),$(FAT_ARCHS))
	$(if $(quiet),@echo "    [LIPO] $$@")
	$(qexec)libtool -static -o $$@ $$?
endef

define lipo_bin_template
$(1): $(addsuffix /$(1),$(FAT_ARCHS))
	$(if $(quiet),@echo "    [LIPO] $$@")
	$(qexec)lipo -output $$@ -create $$?
endef


#
# Get current configuration
#
ifneq ($(target),)
include $(SRC_PATH_BARE)/$(target:-$(TOOLCHAIN)=).mk
endif
ifeq ($(filter clean,$(MAKECMDGOALS)),)
  # Older versions of make don't like -include directives with no arguments
  ifneq ($(filter %.d,$(OBJS-yes:.o=.d)),)
    -include $(filter %.d,$(OBJS-yes:.o=.d))
  endif
endif

#
# Configuration dependant rules
#
$(call pairmap,install_map_templates,$(INSTALL_MAPS))

DOCS=$(call cond_enabled,CONFIG_INSTALL_DOCS,DOCS)
.docs: $(DOCS)
	@touch $@

INSTALL-DOCS=$(call cond_enabled,CONFIG_INSTALL_DOCS,INSTALL-DOCS)
.install-docs: .docs $(addprefix $(DIST_DIR)/,$(INSTALL-DOCS))
	@touch $@

clean::
	rm -f .docs .install-docs $(DOCS)

BINS=$(call enabled,BINS)
.bins: $(BINS)
	@touch $@

INSTALL-BINS=$(call cond_enabled,CONFIG_INSTALL_BINS,INSTALL-BINS)
.install-bins: .bins $(addprefix $(DIST_DIR)/,$(INSTALL-BINS))
	@touch $@

clean::
	rm -f .bins .install-bins $(BINS)

LIBS=$(call enabled,LIBS)
.libs: $(LIBS)
	@touch $@
$(foreach lib,$(filter %_g.a,$(LIBS)),$(eval $(call archive_template,$(lib))))

INSTALL-LIBS=$(call cond_enabled,CONFIG_INSTALL_LIBS,INSTALL-LIBS)
.install-libs: .libs $(addprefix $(DIST_DIR)/,$(INSTALL-LIBS))
	@touch $@

clean::
	rm -f .libs .install-libs $(LIBS)

ifeq ($(CONFIG_EXTERNAL_BUILD),yes)
PROJECTS=$(call enabled,PROJECTS)
.projects: $(PROJECTS)
	@touch $@

INSTALL-PROJECTS=$(call cond_enabled,CONFIG_INSTALL_PROJECTS,INSTALL-PROJECTS)
.install-projects: .projects $(addprefix $(DIST_DIR)/,$(INSTALL-PROJECTS))
	@touch $@

clean::
	rm -f .projects .install-projects $(PROJECTS)
endif

# If there are any source files to be installed, then include the build
# system too.
ifneq ($(call enabled,INSTALL-SRCS),)
    INSTALL-SRCS-yes            += configure
    INSTALL-SRCS-yes            += build/make/configure.sh
    INSTALL-SRCS-yes            += build/make/gen_asm_deps.sh
    INSTALL-SRCS-yes            += build/make/Makefile
    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_def.sh
    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh
    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_sln.sh
    INSTALL-SRCS-$(CONFIG_RVCT) += build/make/armlink_adapter.sh
    #
    # This isn't really ARCH_ARM dependent, it's dependant on whether we're
    # using assembly code or not (CONFIG_OPTIMIZATIONS maybe). Just use
    # this for now.
    INSTALL-SRCS-$(ARCH_ARM)    += build/make/obj_int_extract.c
    INSTALL-SRCS-$(ARCH_ARM)    += build/make/ads2gas.pl
    INSTALL-SRCS-yes            += $(target:-$(TOOLCHAIN)=).mk
endif
INSTALL-SRCS := $(call cond_enabled,CONFIG_INSTALL_SRCS,INSTALL-SRCS)
.install-srcs: $(addprefix $(DIST_DIR)/src/,$(INSTALL-SRCS))
	@touch $@

clean::
	rm -f .install-srcs

ifeq ($(CONFIG_EXTERNAL_BUILD),yes)
    BUILD_TARGETS += .projects
    INSTALL_TARGETS += .install-projects
endif
BUILD_TARGETS += .docs .libs .bins
INSTALL_TARGETS += .install-docs .install-srcs .install-libs .install-bins
all-$(target): $(BUILD_TARGETS)
install: $(INSTALL_TARGETS)

#
# Development helper targets
#
ifneq ($(SRC_PATH_BARE),)
.PHONY: svnstat
svnstat:
	svn stat $(SRC_PATH_BARE)
endif

=== debian/changelog ===
libvpx (0.9.0-2maemo1) unstable; urgency=low

  * Maemo version

 -- Zaheer Abbas Merali <zaheermerali@gmail.com>  Mon, 24 May 2010 19:31:02 +0200

libvpx (0.9.0-2~lucid1) lucid; urgency=low

  * Upload to GStreamer developers PPA.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 May 2010 22:21:41 +0200

libvpx (0.9.0-2) unstable; urgency=low

  * debian/rules:
    + Fix shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 May 2010 22:20:14 +0200

libvpx (0.9.0-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #582271).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 May 2010 20:49:11 +0200

=== debian/control ===
Source: libvpx
Section: video
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper,
               dpkg-dev (>= 1.14.13),
               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
               execstack
Standards-Version: 3.8.4

Package: libvpx-dev
Section: libdevel
Architecture: any
Depends: libvpx0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: VP8 video codec (development files)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: VP8 video codec (shared library)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libvpx0 (= ${binary:Version}),
         ${misc:Depends}
Description: VP8 video codec (debugging symbols)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 Debugging symbols for the VPX library. This is
 needed to debug programs linked against libvpx0.

Package: libvpx-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: VP8 video codec (API documentation)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the HTML documentation for the libvpx library
 in /usr/share/doc/libvpx-doc.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure_flags += \
  --enable-pic \
  --disable-install-bins \
  --disable-install-srcs

# TODO: Special cases for ARM and PPC
ifeq ($(DEB_BUILD_ARCH), amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_BUILD_ARCH), x86)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_BUILD_ARCH), armel)
configure_flags += --target=armv7-linux-gcc
else
configure_flags += --target=generic-gnu
endif
endif
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

CFLAGS += -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

builddir := $(CURDIR)/builddir

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(builddir); \
	cd $(builddir); \
	CFLAGS="$(CFLAGS)" $(CURDIR)/configure \
		$(configure_flags)
	touch $@

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C $(builddir) verbose=yes
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf $(builddir)
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) -C $(builddir) verbose=yes install
	# don't use stripped library...
	cp -v $(builddir)/libvpx_g.a \
	  $(builddir)/vpx-vp8-*/lib/libvpx.a
	cd $(builddir)/vpx-vp8-*/lib && \
	  mkdir tmp && \
	  cd tmp && \
	  ar x ../libvpx.a && \
	  cd .. && \
	  gcc -shared -fPIC -pthread -lm -Wl,--no-undefined -Wl,-soname,libvpx.so.0 -Wl,--version-script,$(CURDIR)/debian/libvpx.ver -o libvpx.so.0.0.0 tmp/*.o && \
	  rm -rf tmp && \
	  ln -sf libvpx.so.0.0.0 libvpx.so.0 && \
	  ln -sf libvpx.so.0.0.0 libvpx.so && \
	  /usr/sbin/execstack -c libvpx.so.0.0.0
	cd $(builddir)/vpx-vp8-* && \
	  patch -Np0 < $(CURDIR)/debian/vpx_codec.h.patch

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installchangelogs -i CHANGELOG
	dh_installdocs -i -A README AUTHORS
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -s
	dh_installdocs -s -A README AUTHORS
	dh_installchangelogs -s CHANGELOG
	dh_link -s
	dh_strip -s --dbg-package=libvpx0-dbg
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.0)' -- -c4
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install clean

## libvpx 0.9.1

=== build/make/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 ##
 ##  Copyright (c) 2010 The VP8 project authors. All Rights Reserved.
-##
-##  Use of this source code is governed by a BSD-style license and patent
-##  grant that can be found in the LICENSE file in the root of the source
-##  tree. All contributing project authors may be found in the AUTHORS
-##  file in the root of the source tree.
+##  
+##  Use of this source code is governed by a BSD-style license 
+##  that can be found in the LICENSE file in the root of the source
+##  tree. An additional intellectual property rights grant can be found
+##  in the file PATENTS.  All contributing project authors may 
+##  be found in the AUTHORS file in the root of the source tree.    
 ##
 
 
@@ -18,6 +19,7 @@
         done
 all: .DEFAULT
 clean:: .DEFAULT
+install:: .DEFAULT
 
 
 # Note: md5sum is not installed on OS X, but openssl is. Openssl may not be
@@ -29,7 +31,7 @@
 md5sum := $(if $(filter %openssl,$(md5sum)),$(md5sum) dgst -md5,$(md5sum))
 
 TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
-install:
+dist:
 	@for t in $(ALL_TARGETS); do \
 	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
         done
@@ -37,7 +39,7 @@
 	@if [ -d "$(DIST_DIR)/src" ]; then \
             mkdir -p "$(DIST_DIR)/build"; \
             cd "$(DIST_DIR)/build"; \
-            if [ $(TGT_CC) = "rvct" ] ; then \
+            if [ "$(TGT_CC)" = "rvct" ] ; then \
 				echo "../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC)"; \
 				../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC); \
 			else \
@@ -94,10 +96,10 @@
 	rm -f $(OBJS-yes) $(OBJS-yes:.o=.d) $(OBJS-yes:.asm.s.o=.asm.s)
 	rm -f $(CLEAN-OBJS)
 
+.PHONY: dist
+dist:
 .PHONY: install
-install:
-.PHONY: install-helper
-install-helper:
+install::
 
 $(BUILD_PFX)%.c.d: %.c
 	$(if $(quiet),@echo "    [DEP] $@")
@@ -218,6 +220,20 @@
 	$(qexec)$$(AR) $$(ARFLAGS) $$@ $$?
 endef
 
+define so_template
+# Not using a pattern rule here because we don't want to generate empty
+# archives when they are listed as a dependency in files not responsible
+# for creating them.
+#
+# This needs further abstraction for dealing with non-GNU linkers.
+$(1):
+	$(if $(quiet),@echo "    [LD] $$@")
+	$(qexec)$$(LD) -shared $$(LDFLAGS) \
+            -Wl,--no-undefined -Wl,-soname,$$(SONAME) \
+            -Wl,--version-script,$$(SO_VERSION_SCRIPT) -o $$@ \
+            $$(filter %.o,$$?) $$(extralibs)
+endef
+
 define lipo_lib_template
 $(1): $(addsuffix /$(1),$(FAT_ARCHS))
 	$(if $(quiet),@echo "    [LIPO] $$@")
@@ -254,6 +270,9 @@
 	@touch $@
 
 INSTALL-DOCS=$(call cond_enabled,CONFIG_INSTALL_DOCS,INSTALL-DOCS)
+ifeq ($(MAKECMDGOALS),dist)
+INSTALL-DOCS+=$(call cond_enabled,CONFIG_INSTALL_DOCS,DIST-DOCS)
+endif
 .install-docs: .docs $(addprefix $(DIST_DIR)/,$(INSTALL-DOCS))
 	@touch $@
 
@@ -265,6 +284,9 @@
 	@touch $@
 
 INSTALL-BINS=$(call cond_enabled,CONFIG_INSTALL_BINS,INSTALL-BINS)
+ifeq ($(MAKECMDGOALS),dist)
+INSTALL-BINS+=$(call cond_enabled,CONFIG_INSTALL_BINS,DIST-BINS)
+endif
 .install-bins: .bins $(addprefix $(DIST_DIR)/,$(INSTALL-BINS))
 	@touch $@
 
@@ -275,8 +297,12 @@
 .libs: $(LIBS)
 	@touch $@
 $(foreach lib,$(filter %_g.a,$(LIBS)),$(eval $(call archive_template,$(lib))))
+$(foreach lib,$(filter %so.$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH),$(LIBS)),$(eval $(call so_template,$(lib))))
 
 INSTALL-LIBS=$(call cond_enabled,CONFIG_INSTALL_LIBS,INSTALL-LIBS)
+ifeq ($(MAKECMDGOALS),dist)
+INSTALL-LIBS+=$(call cond_enabled,CONFIG_INSTALL_LIBS,DIST-LIBS)
+endif
 .install-libs: .libs $(addprefix $(DIST_DIR)/,$(INSTALL-LIBS))
 	@touch $@
 
@@ -289,6 +315,9 @@
 	@touch $@
 
 INSTALL-PROJECTS=$(call cond_enabled,CONFIG_INSTALL_PROJECTS,INSTALL-PROJECTS)
+ifeq ($(MAKECMDGOALS),dist)
+INSTALL-PROJECTS+=$(call cond_enabled,CONFIG_INSTALL_PROJECTS,DIST-PROJECTS)
+endif
 .install-projects: .projects $(addprefix $(DIST_DIR)/,$(INSTALL-PROJECTS))
 	@touch $@
 
@@ -296,26 +325,29 @@
 	rm -f .projects .install-projects $(PROJECTS)
 endif
 
-# If there are any source files to be installed, then include the build
+# If there are any source files to be distributed, then include the build
 # system too.
-ifneq ($(call enabled,INSTALL-SRCS),)
-    INSTALL-SRCS-yes            += configure
-    INSTALL-SRCS-yes            += build/make/configure.sh
-    INSTALL-SRCS-yes            += build/make/gen_asm_deps.sh
-    INSTALL-SRCS-yes            += build/make/Makefile
-    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_def.sh
-    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh
-    INSTALL-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_sln.sh
-    INSTALL-SRCS-$(CONFIG_RVCT) += build/make/armlink_adapter.sh
+ifneq ($(call enabled,DIST-SRCS),)
+    DIST-SRCS-yes            += configure
+    DIST-SRCS-yes            += build/make/configure.sh
+    DIST-SRCS-yes            += build/make/gen_asm_deps.sh
+    DIST-SRCS-yes            += build/make/Makefile
+    DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_def.sh
+    DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh
+    DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_sln.sh
+    DIST-SRCS-$(CONFIG_RVCT) += build/make/armlink_adapter.sh
     #
     # This isn't really ARCH_ARM dependent, it's dependant on whether we're
     # using assembly code or not (CONFIG_OPTIMIZATIONS maybe). Just use
     # this for now.
-    INSTALL-SRCS-$(ARCH_ARM)    += build/make/obj_int_extract.c
-    INSTALL-SRCS-$(ARCH_ARM)    += build/make/ads2gas.pl
-    INSTALL-SRCS-yes            += $(target:-$(TOOLCHAIN)=).mk
+    DIST-SRCS-$(ARCH_ARM)    += build/make/obj_int_extract.c
+    DIST-SRCS-$(ARCH_ARM)    += build/make/ads2gas.pl
+    DIST-SRCS-yes            += $(target:-$(TOOLCHAIN)=).mk
 endif
 INSTALL-SRCS := $(call cond_enabled,CONFIG_INSTALL_SRCS,INSTALL-SRCS)
+ifeq ($(MAKECMDGOALS),dist)
+INSTALL-SRCS += $(call cond_enabled,CONFIG_INSTALL_SRCS,DIST-SRCS)
+endif
 .install-srcs: $(addprefix $(DIST_DIR)/src/,$(INSTALL-SRCS))
 	@touch $@
 
@@ -329,7 +361,8 @@
 BUILD_TARGETS += .docs .libs .bins
 INSTALL_TARGETS += .install-docs .install-srcs .install-libs .install-bins
 all-$(target): $(BUILD_TARGETS)
-install: $(INSTALL_TARGETS)
+install:: $(INSTALL_TARGETS)
+dist: $(INSTALL_TARGETS)
 
 #
 # Development helper targets

=== debian/changelog ===
libvpx (0.9.1-0ubuntu0) lucid-security; urgency=low

  * Backport from Maverick (LP: #628924)

 -- Fabien Tassin <fta@ubuntu.com>  Thu, 02 Sep 2010 22:33:23 +0200

libvpx (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jun 2010 06:00:58 +0200

libvpx (0.9.0+git-2010-06-15-13-41-2) unstable; urgency=low

  * debian/patches/01_enable-shared.patch:
    + Allow shared library build everywhere, fixes FTBFS.
  * debian/rules:
    + Enable assembly optimizations for kfreebsd and hurd too.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 13:07:32 +0200

libvpx (0.9.0+git-2010-06-15-13-41-1) unstable; urgency=low

  * New upstream GIT snapshot:
    + Fixes enormous amount of virtual memory used by the library,
      causing problems on 32 bit architectures (Closes: #583765).
    + Replaces non-free MD5 implementation with a free one (Closes: #585821).
    + debian/rules:
      - Update for build system changes, especially for the shared library
        support that is upstream now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 07:17:13 +0200

libvpx (0.9.0-6) unstable; urgency=low

  * debian/patches/*:
    + Update to upstream GIT 09202d80716ef7e2931de60c66b6fb2383f52613.
  * debian/copyright:
    + Update for the new, improved and GPL compatible
      license (Closes: #583758).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Jun 2010 22:34:15 +0200

libvpx (0.9.0-5) unstable; urgency=low

  * debian/copyright:
    + Use new FSF address.
  * debian/patches/*:
    + Update to upstream GIT 1689564bb5c0f03bb2f35244bf40bcf58c9fec35.
  * debian/rules,
    debian/control:
    + Remove execstack and -fPIC hacks that were fixed upstream.
  * debian/vpx_codec.h.patch,
    debian/rules:
    + Remove HAVE_CONFIG_H removal hack for the public header files.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 07:29:58 +0200

libvpx (0.9.0-4) unstable; urgency=low

  * debian/rules:
    + x86 is i386, this enables assembly optimizations on i386.
  * debian/control:
    + Build depend on yasm >= 0.7.
  * debian/copyright:
    + Add all the other copyright holders and licenses to the copyright
      file. These only apply to the scripts in examples/includes, which
      are used for building the API documentation.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 May 2010 12:10:35 +0200

libvpx (0.9.0-3) unstable; urgency=low

  * debian/rules:
    + Always build with -fPIC, configure doesn't set it for the
      generic-gnu target.
  * debian/copyright,
    debian/control:
    + Fix download URLs.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 May 2010 12:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: video
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper,
+Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
-               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
-               execstack
+               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               doxygen,
+               php5-cli
 Standards-Version: 3.8.4
+Homepage: http://www.webmproject.org
 
 Package: libvpx-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,29 @@
 
 configure_flags += \
   --enable-pic \
+  --enable-shared \
   --disable-install-bins \
   --disable-install-srcs
 
-# TODO: Special cases for ARM and PPC
+# TODO: Special cases for ARM and PPC?
 ifeq ($(DEB_BUILD_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
 else
-ifeq ($(DEB_BUILD_ARCH), x86)
+ifeq ($(DEB_BUILD_ARCH), kfreebsd-amd64)
+configure_flags += --target=x86_64-linux-gcc
+else
+ifeq ($(DEB_BUILD_ARCH), i386)
 configure_flags += --target=x86-linux-gcc
 else
-ifeq ($(DEB_BUILD_ARCH), armel)
-configure_flags += --target=armv7-linux-gcc
+ifeq ($(DEB_BUILD_ARCH), kfreebsd-i386)
+configure_flags += --target=x86-linux-gcc
+else
+ifeq ($(DEB_BUILD_ARCH), hurd-i386)
+configure_flags += --target=x86-linux-gcc
 else
 configure_flags += --target=generic-gnu
+endif
+endif
 endif
 endif
 endif
@@ -64,23 +73,12 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
+	dh_prep
 	dh_installdirs
-	$(MAKE) -C $(builddir) verbose=yes install
+	$(MAKE) -C $(builddir) verbose=yes dist
 	# don't use stripped library...
 	cp -v $(builddir)/libvpx_g.a \
 	  $(builddir)/vpx-vp8-*/lib/libvpx.a
-	cd $(builddir)/vpx-vp8-*/lib && \
-	  mkdir tmp && \
-	  cd tmp && \
-	  ar x ../libvpx.a && \
-	  cd .. && \
-	  gcc -shared -fPIC -pthread -lm -Wl,--no-undefined -Wl,-soname,libvpx.so.0 -Wl,--version-script,$(CURDIR)/debian/libvpx.ver -o libvpx.so.0.0.0 tmp/*.o && \
-	  rm -rf tmp && \
-	  ln -sf libvpx.so.0.0.0 libvpx.so.0 && \
-	  ln -sf libvpx.so.0.0.0 libvpx.so && \
-	  /usr/sbin/execstack -c libvpx.so.0.0.0
-	cd $(builddir)/vpx-vp8-* && \
-	  patch -Np0 < $(CURDIR)/debian/vpx_codec.h.patch
 
 binary-indep: build install
 	dh_testdir

## libvpx 0.9.2

=== build/make/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 ##
 ##  Copyright (c) 2010 The VP8 project authors. All Rights Reserved.
-##  
-##  Use of this source code is governed by a BSD-style license 
+##
+##  Use of this source code is governed by a BSD-style license
 ##  that can be found in the LICENSE file in the root of the source
 ##  tree. An additional intellectual property rights grant can be found
-##  in the file PATENTS.  All contributing project authors may 
-##  be found in the AUTHORS file in the root of the source tree.    
+##  in the file PATENTS.  All contributing project authors may
+##  be found in the AUTHORS file in the root of the source tree.
 ##
 
 
@@ -39,13 +39,8 @@
 	@if [ -d "$(DIST_DIR)/src" ]; then \
             mkdir -p "$(DIST_DIR)/build"; \
             cd "$(DIST_DIR)/build"; \
-            if [ "$(TGT_CC)" = "rvct" ] ; then \
-				echo "../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC)"; \
-				../src/configure --target=$(TOOLCHAIN) --libc=$(ALT_LIBC); \
-			else \
-				echo "../src/configure --target=$(TOOLCHAIN)"; \
-				../src/configure --target=$(TOOLCHAIN); \
-			fi; \
+            echo "Rerunning configure $(CONFIGURE_ARGS)"; \
+            ../src/configure $(CONFIGURE_ARGS); \
             $(if $(filter vs%,$(TGT_CC)),make NO_LAUNCH_DEVENV=1;) \
         fi
 	@if [ -d "$(DIST_DIR)" ]; then \
@@ -57,7 +52,6 @@
         fi
 
 
-svnstat: ALL_TARGETS:=$(firstword $(ALL_TARGETS))
 endif
 
 ifneq ($(target),)
@@ -335,6 +329,7 @@
     DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_def.sh
     DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh
     DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_sln.sh
+    DIST-SRCS-$(CONFIG_MSVS)  += build/x86-msvs/yasm.rules
     DIST-SRCS-$(CONFIG_RVCT) += build/make/armlink_adapter.sh
     #
     # This isn't really ARCH_ARM dependent, it's dependant on whether we're
@@ -363,12 +358,3 @@
 all-$(target): $(BUILD_TARGETS)
 install:: $(INSTALL_TARGETS)
 dist: $(INSTALL_TARGETS)
-
-#
-# Development helper targets
-#
-ifneq ($(SRC_PATH_BARE),)
-.PHONY: svnstat
-svnstat:
-	svn stat $(SRC_PATH_BARE)
-endif

=== debian/changelog ===
libvpx (0.9.2-1ubuntu0.0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: fix heap memory corruption which could lead to denial of
    service or possibly execution of arbitrary code
    - debian/patches/900_CVE-2010-XXXX.patch: properly validate frame size and
      partition sizes
    - CVE-2010-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 08 Nov 2010 16:43:26 -0600

libvpx (0.9.2-1build1) maverick; urgency=low

  * No-change rebuild to build on armel (the build record was lost due to a
    Launchpad bug, and apparently another upload is the simplest fix).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Sep 2010 13:23:04 +0100

libvpx (0.9.2-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_enable-shared.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Sep 2010 23:12:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],

## libvpx 0.9.5

=== build/make/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-##  Copyright (c) 2010 The VP8 project authors. All Rights Reserved.
+##  Copyright (c) 2010 The WebM project authors. All Rights Reserved.
 ##
 ##  Use of this source code is governed by a BSD-style license
 ##  that can be found in the LICENSE file in the root of the source
@@ -65,7 +65,7 @@
 BUILD_ROOT?=.
 VPATH=$(SRC_PATH_BARE)
 CFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
-ASFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
+ASFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT)/ -I$(SRC_PATH)/
 DIST_DIR?=dist
 HOSTCC?=gcc
 TGT_ISA:=$(word 1, $(subst -, ,$(TOOLCHAIN)))

=== debian/changelog ===
libvpx (0.9.5-2~build0.10.04.1) lucid-security; urgency=low

  * No-change rebuild from Natty needed by Chromium update

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 08 Mar 2011 18:54:23 -0600

libvpx (0.9.5-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/02_cve-2010-4489.patch:
    + SECURITY -- CVE 2010-4489: Fix integer overflow in decoder
      Patch taken from upstream GIT (Closes: #610510).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 11:59:42 +0100

libvpx (0.9.5-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_enable-shared.patch:
      - Refreshed.
    + debian/rules:
      - Enable altivec assembly for powerpc.
    + debian/libvpx0.symbols,
      debian/rules:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 29 Oct 2010 08:36:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
   --disable-install-bins \
   --disable-install-srcs
 
-# TODO: Special cases for ARM and PPC?
+# TODO: Special cases for ARM?
 ifeq ($(DEB_BUILD_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
 else
@@ -26,7 +26,11 @@
 ifeq ($(DEB_BUILD_ARCH), hurd-i386)
 configure_flags += --target=x86-linux-gcc
 else
+ifeq ($(DEB_BUILD_ARCH), powerpc)
+configure_flags += --target=ppc32-linux-gcc
+else
 configure_flags += --target=generic-gnu
+endif
 endif
 endif
 endif
@@ -104,7 +108,7 @@
 	dh_strip -s --dbg-package=libvpx0-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.0)' -- -c4
+	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.5)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 0.9.6

=== debian/changelog ===
libvpx (0.9.6-1) unstable; urgency=low

  * New upstream release, "Bali":
    + debian/patches/02_cve-2010-4489.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Mar 2011 17:58:26 +0100

## libvpx 0.9.7.p1

=== debian/changelog ===
libvpx (0.9.7.p1-2) unstable; urgency=low

  * debian/rules,
    debian/libvpx-dev.install:
    + Install vpx.pc file in the -dev package. Thanks to
      j@v2v.cc for the patch (Closes: #644542).
  * debian/control,
    debian/vpx-tools.install:
    + Install vpxenc and vpxenc in the new vpx-tools package. Thanks
      to j@v2v.cc for the patch (Closes: #644543).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Oct 2011 09:42:49 +0200

libvpx (0.9.7.p1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 16 Aug 2011 15:35:26 +0200

libvpx (0.9.7-1) unstable; urgency=low

  * New upstream release, "Cayuga" (Closes: #636670):
    + debian/patches/01_enable-shared.patch:
      - Refreshed to apply cleanly again.
    + debian/rules:
      - Update shlibs version because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Aug 2011 10:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
@@ -64,3 +63,16 @@
  This package contains the HTML documentation for the libvpx library
  in /usr/share/doc/libvpx-doc.
 
+Package: vpx-tools
+Section: utils
+Architecture: any
+Depends: libvpx0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: VP8 video codec encoding/decoding tools
+ VP8 is an open video codec, originally developed by On2 and released
+ as open source by Google Inc. It is the successor of the VP3 codec,
+ on which the Theora codec was based.
+ .
+ This package contains the commandline tools vpxdec and vpxenc.
+

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 configure_flags += \
+  --prefix=/usr \
   --enable-pic \
   --enable-shared \
   --disable-install-bins \
@@ -108,7 +109,7 @@
 	dh_strip -s --dbg-package=libvpx0-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.5)' -- -c4
+	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.7)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 1.0.0

=== debian/changelog ===
libvpx (1.0.0-1) unstable; urgency=low

  * New upstream release, "Duclair":
    + debian/libvpx1.install,
      debian/libvpx1.symbols,
      debian/control,
      debian/rules:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 01 Feb 2012 09:50:13 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 video codec (development files)
@@ -24,7 +24,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx0
+Package: libvpx1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -36,11 +36,11 @@
  .
  This package contains the shared libraries.
 
-Package: libvpx0-dbg
+Package: libvpx1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${misc:Depends}
 Description: VP8 video codec (debugging symbols)
  VP8 is an open video codec, originally developed by On2 and released
@@ -48,7 +48,7 @@
  on which the Theora codec was based.
  .
  Debugging symbols for the VPX library. This is
- needed to debug programs linked against libvpx0.
+ needed to debug programs linked against libvpx1.
 
 Package: libvpx-doc
 Section: doc
@@ -66,7 +66,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 video codec encoding/decoding tools

=== debian/rules ===
--- 
+++ 
@@ -106,10 +106,10 @@
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx0-dbg
+	dh_strip -s --dbg-package=libvpx1-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.7)' -- -c4
+	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.0.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 1.1.0

=== build/make/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 all: .DEFAULT
 clean:: .DEFAULT
 install:: .DEFAULT
+test:: .DEFAULT
 
 
 # Note: md5sum is not installed on OS X, but openssl is. Openssl may not be
@@ -78,12 +79,13 @@
 %: %.o
 %.asm:
 %.a:
+%: %.cc
 
 #
 # Common rules"
 #
-.PHONY: all-$(target)
-all-$(target):
+.PHONY: all
+all:
 
 .PHONY: clean
 clean::
@@ -94,15 +96,26 @@
 dist:
 .PHONY: install
 install::
+.PHONY: test
+test::
 
 $(BUILD_PFX)%.c.d: %.c
 	$(if $(quiet),@echo "    [DEP] $@")
 	$(qexec)mkdir -p $(dir $@)
-	$(qexec)$(CC) $(CFLAGS) -M $< | $(fmt_deps) > $@
+	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -M $< | $(fmt_deps) > $@
 
 $(BUILD_PFX)%.c.o: %.c
 	$(if $(quiet),@echo "    [CC] $@")
-	$(qexec)$(CC) $(CFLAGS) -c -o $@ $<
+	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -c -o $@ $<
+
+$(BUILD_PFX)%.cc.d: %.cc
+	$(if $(quiet),@echo "    [DEP] $@")
+	$(qexec)mkdir -p $(dir $@)
+	$(qexec)g++ $(INTERNAL_CFLAGS) $(CFLAGS) -M $< | $(fmt_deps) > $@
+
+$(BUILD_PFX)%.cc.o: %.cc
+	$(if $(quiet),@echo "    [CXX] $@")
+	$(qexec)g++ $(INTERNAL_CFLAGS) $(CFLAGS) -c -o $@ $<
 
 $(BUILD_PFX)%.asm.d: %.asm
 	$(if $(quiet),@echo "    [DEP] $@")
@@ -123,6 +136,12 @@
 $(BUILD_PFX)%.s.o: %.s
 	$(if $(quiet),@echo "    [AS] $@")
 	$(qexec)$(AS) $(ASFLAGS) -o $@ $<
+
+.PRECIOUS: %.c.S
+%.c.S: CFLAGS += -DINLINE_ASM
+$(BUILD_PFX)%.c.S: %.c
+	$(if $(quiet),@echo "    [GEN] $@")
+	$(qexec)$(CC) -S $(CFLAGS) -o $@ $<
 
 .PRECIOUS: %.asm.s
 $(BUILD_PFX)%.asm.s: %.asm
@@ -152,8 +171,8 @@
 # Rule to extract assembly constants from C sources
 #
 obj_int_extract: build/make/obj_int_extract.c
-	$(if $(quiet),echo "    [HOSTCC] $@")
-	$(qexec)$(HOSTCC) -I. -o $@ $<
+	$(if $(quiet),@echo "    [HOSTCC] $@")
+	$(qexec)$(HOSTCC) -I. -I$(SRC_PATH_BARE) -o $@ $<
 CLEAN-OBJS += obj_int_extract
 
 #
@@ -169,7 +188,7 @@
 
 find_file1=$(word 1,$(wildcard $(subst //,/,$(addsuffix /$(1),$(2)))))
 find_file=$(foreach f,$(1),$(call find_file1,$(strip $(f)),$(strip $(2))) )
-obj_pats=.c=.c.o $(AS_SFX)=$(AS_SFX).o
+obj_pats=.c=.c.o $(AS_SFX)=$(AS_SFX).o .cc=.cc.o
 objs=$(addprefix $(BUILD_PFX),$(foreach p,$(obj_pats),$(filter %.o,$(1:$(p))) ))
 
 install_map_templates=$(eval $(call install_map_template,$(1),$(2)))
@@ -188,7 +207,13 @@
 $(1): $(filter-out -%,$(2))
 $(1):
 	$(if $(quiet),@echo    "    [LD] $$@")
-	$(qexec)$$(LD) $$(strip $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
+	$(qexec)$$(LD) $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
+endef
+define linkerxx_template
+$(1): $(filter-out -%,$(2))
+$(1):
+	$(if $(quiet),@echo    "    [LD] $$@")
+	$(qexec)g++ $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
 endef
 # make-3.80 has a bug with expanding large input strings to the eval function,
 # which was triggered in some cases by the following component of
@@ -255,7 +280,7 @@
 endif
 
 #
-# Configuration dependant rules
+# Configuration dependent rules
 #
 $(call pairmap,install_map_templates,$(INSTALL_MAPS))
 
@@ -330,12 +355,10 @@
     DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh
     DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_sln.sh
     DIST-SRCS-$(CONFIG_MSVS)  += build/x86-msvs/yasm.rules
+    DIST-SRCS-$(CONFIG_MSVS)  += build/x86-msvs/obj_int_extract.bat
     DIST-SRCS-$(CONFIG_RVCT) += build/make/armlink_adapter.sh
-    #
-    # This isn't really ARCH_ARM dependent, it's dependant on whether we're
-    # using assembly code or not (CONFIG_OPTIMIZATIONS maybe). Just use
-    # this for now.
-    DIST-SRCS-$(ARCH_ARM)    += build/make/obj_int_extract.c
+    # Include obj_int_extract if we use offsets from asm_*_offsets
+    DIST-SRCS-$(ARCH_ARM)$(ARCH_X86)$(ARCH_X86_64)    += build/make/obj_int_extract.c
     DIST-SRCS-$(ARCH_ARM)    += build/make/ads2gas.pl
     DIST-SRCS-yes            += $(target:-$(TOOLCHAIN)=).mk
 endif
@@ -355,6 +378,7 @@
 endif
 BUILD_TARGETS += .docs .libs .bins
 INSTALL_TARGETS += .install-docs .install-srcs .install-libs .install-bins
-all-$(target): $(BUILD_TARGETS)
+all: $(BUILD_TARGETS)
 install:: $(INSTALL_TARGETS)
 dist: $(INSTALL_TARGETS)
+test::

=== debian/changelog ===
libvpx (1.1.0-1) unstable; urgency=low

  * New upstream release, "Eider".
  * debian/patches/*: Refreshed to apply cleanly again.
  * debian/rules: Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 May 2012 10:03:37 +0200

libvpx (1.0.0-2) unstable; urgency=low

  * debian/control,
    debian/libvpx1.install,
    debian/libvpx-dev.install,
    debian/rules:
    + Add support for multi-arch (Closes: #643016).
      Thanks to Riku Voipio for the patch.
  * debian/rules,
    debian/patches/fix-armhf-link.patch:
    + Add NEON flavor on arm (Closes: #660692).
      Thanks to Riku Voipio for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 12:15:36 +0100

libvpx (1.0.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Drop binaries from the debug package, to stop libvpx0-dbg and
    libvpx1-dbg from conflicting with each other (Closes: #658453).
  * Set urgency to “high” for the RC bug fix, to speed up things with
    packages (involved in other transitions) having picked up a
    dependency on libvpx1 due to this unannounced transition.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2012 22:40:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 7),
-               dpkg-dev (>= 1.14.13),
+Build-Depends: debhelper (>= 8.1.3),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                doxygen,
                php5-cli
@@ -16,6 +15,7 @@
 Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: VP8 video codec (development files)
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
@@ -29,6 +29,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: VP8 video codec (shared library)
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
@@ -69,6 +71,7 @@
 Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: VP8 video codec encoding/decoding tools
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
